<!--
 * @Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
 * @Date: 2023-06-14 09:20:05
 * @LastEditors: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
 * @LastEditTime: 2023-07-18 16:10:50
 * @FilePath: \cim-xian\src\views\system\systemCenter.vue
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
-->
<template>
  <div class="system-container">
    <el-tabs v-model="activeName" type="card">
      <el-tab-pane label="用户管理" name="userManager">
        <user-manager></user-manager>
      </el-tab-pane>
      <el-tab-pane label="部门管理" name="roleManager">
        <dev-manager></dev-manager>
      </el-tab-pane>
      <el-tab-pane label="角色管理" name="devManager">
        <role-manager></role-manager>
      </el-tab-pane>
      <el-tab-pane label="安全监控" name="secureManager">
        <secure-manager></secure-manager>
      </el-tab-pane>
      <el-tab-pane label="日志管理" name="logManager">
        <log-manager></log-manager>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import userManager from "@/views/system/user";
import roleManager from "@/views/system/role";
import devManager from "@/views/system/dept";
import secureManager from "@/views/system/secure";
import logManager from "@/views/system/log";
export default {
  name: "",
  components: {
    userManager, roleManager, devManager,secureManager,logManager
  },
  data() {
    return {
      activeName: 'userManager'
    };
  },
  created() {

  },
  methods: {}
};
</script>

<style scoped>
.system-container {
  margin: 60px;
  height: calc(100% - 120px) !important;
  overflow: hidden;
}

>>>.el-tabs__item {
  color: #fff;

}

>>>.el-tabs--card>.el-tabs__header {
  border-bottom: 1px solid #3170b6;
}

>>>.el-tabs--card>.el-tabs__header .el-tabs__item.is-active {
  border-bottom: 1px solid #3170b6;
  background: #1b3457;
}

>>>.el-tabs--card>.el-tabs__header .el-tabs__nav {
  border: 1px solid #3170b6;
}

>>>.el-tabs--card>.el-tabs__header .el-tabs__item {
  border-left: 1px solid #3170b6;
}
</style>